
import 'package:flutter/material.dart';

Widget sheetCellItem(BuildContext context, dataModel, String showKey) {
  assert(dataModel is Map);
  return ListTile(
    title: new Text(
      dataModel[showKey].toString(),
      style: TextStyle(
        fontSize: 14,
        color: Color(0xff000000)
      ),
      textAlign: TextAlign.center,
    ),
    onTap: () async {
        Navigator.of(context).pop();//隐藏弹出框
      },
    );
  }

class GGActionSheet {
  static Future<Null> show(context,String titleStr,List sheetItemList,String cancelStr, String showKey){
      return 
      showModalBottomSheet<Null>(
          context: context,
          builder: (BuildContext context){
            return SafeArea(
              child: Column(
                mainAxisSize: MainAxisSize.min,
                crossAxisAlignment: CrossAxisAlignment.center,
                children: <Widget>[
                  Container(
                    color: Colors.white,
                    child: ListTile(
                    title: new Text(
                      titleStr,
                      style: TextStyle(
                        fontSize: 16,
                        fontWeight: FontWeight.bold,
                        color: Color(0xff000000),
                      ),
                      textAlign: TextAlign.center,
                      ),
                    onTap: () async {
                    },
                    ),
                  ),
                  Divider(
                    height: 0.5,
                    color: Color(0xFFE5E5E5),
                  ),
                  ListView.separated(
                    padding: EdgeInsets.symmetric(),
                    shrinkWrap: true,
                    physics:NeverScrollableScrollPhysics(),
                      itemBuilder: (context, i){
                        return new Container(
                          decoration: BoxDecoration(
                            color: Colors.white,
                            borderRadius: new BorderRadius.all(new Radius.circular(0.0)),
                          ),
                          child: Column(
                            children: <Widget>[
                              sheetCellItem(context, sheetItemList[i], showKey),
                            ],
                          ),
                        );
                      },
                      separatorBuilder: (context, index) => Divider(
                            color: Color(0xFFE5E5E5),
                            height: 0.5,
                          ),
                      itemCount: sheetItemList.length,
                  ),
                  Container(
                    color: Color(0xffF5F5F5),
                    padding: EdgeInsets.only(top: 10),
                    child: Container(
                      color: Colors.white,
                      child: ListTile(
                      title: new Text(
                      cancelStr.length > 0 ? cancelStr : '取消',
                      style: TextStyle(
                        fontSize: 14,
                        color: Color(0xff000000)
                      ),
                      textAlign: TextAlign.center,
                    ),
                    onTap: () async {
                      Navigator.of(context).pop();//隐藏弹出框
                    },
                    ),
                    )
                  )
                ],
              ),
            );
          }
      );
    }
}