import 'package:flutter/material.dart';

class GGTopToast{
  static Future<Null> showWX(BuildContext context){
    OverlayEntry weixinOverlayEntry = new OverlayEntry(builder: (context) {
      return new Positioned(
          top: kToolbarHeight,
          right: 20,
          width: 200,
          height: 320,
          child: new SafeArea(
              child: new Material(
            child: new Container(
              color: Colors.black,
              child: new Column(
                children: <Widget>[
                  Expanded(
                    child: new ListTile(
                      leading: Icon(
                        Icons.add,
                        color: Colors.white,
                      ),
                      title: new Text(
                        "发起群聊",
                        style: TextStyle(color: Colors.white),
                      ),
                    ),
                  ),
                  Expanded(
                    child: new ListTile(
                      leading: Icon(Icons.add, color: Colors.white),
                      title: new Text("添加朋友",
                          style: TextStyle(color: Colors.white)),
                    ),
                  ),
                  Expanded(
                    child: new ListTile(
                      leading: Icon(Icons.add, color: Colors.white),
                      title: new Text("扫一扫",
                          style: TextStyle(color: Colors.white)),
                    ),
                  ),
                  Expanded(
                    child: new ListTile(
                      leading: Icon(Icons.add, color: Colors.white),
                      title: new Text("首付款",
                          style: TextStyle(color: Colors.white)),
                    ),
                  ),
                  Expanded(
                    child: new ListTile(
                      leading: Icon(Icons.add, color: Colors.white),
                      title: new Text("帮助与反馈",
                          style: TextStyle(color: Colors.white)),
                    ),
                  ),
                ],
              ),
            ),
          )));
    });
    Overlay.of(context).insert(weixinOverlayEntry);

    new Future.delayed(Duration(seconds: 2)).then((value) {
      weixinOverlayEntry.remove();
    });

  }



    static Future<Null> show({
      @required BuildContext context,
      Icon icon,
      String content,
      Color backgroundColor
    }) async {

      Widget topToastView(BuildContext context) {
      double topSpace = MediaQuery.of(context).padding.top;
      Size screenSize = MediaQuery.of(context).size;
      double bottomSpace = screenSize.height - topSpace - 50;
      return Positioned(
            top: 0,
            left: 0,
            width: screenSize.width,
            height: screenSize.height,
            child: Container(
              width: double.infinity,
              height: double.infinity,
              color: Color.fromRGBO(0, 0, 0, 0),
              child: Container(
                margin: EdgeInsets.only(top: (topSpace), left: 12, right: 12, bottom: bottomSpace),
                alignment: Alignment.center,
                width: (screenSize.width - 24 - 25 - 20 - 50),
                decoration: BoxDecoration(
                  color: Colors.green,
                  border: Border.all(width: 1, color: Colors.red),
                  borderRadius: BorderRadius.all(Radius.circular(5))
                ),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  children: <Widget>[
                    Offstage(
                      offstage: icon != null ? false : true,
                      child: Padding(
                        padding: EdgeInsets.only(left: 5, right: 5),
                        child: icon,
                      ),
                    ),
                    LimitedBox(
                      maxWidth: (screenSize.width - 70),
                      child: Text(
                        '我是提示文字哦哦哦哦哦我是提示文字哦哦哦哦哦',
                        style: TextStyle(
                          color: Colors.white,
                          fontSize: 14,
                          fontWeight: FontWeight.normal,
                          decoration: TextDecoration.none
                        ),
                        maxLines: 2,
                        overflow: TextOverflow.ellipsis,
                      ),
                    ),
                  ],
                ),
              )
            ),
          );
    }

      //创建一个OverlayEntry对象
      OverlayEntry overlayEntry = new OverlayEntry(builder: (context) {
          //外层使用Positioned进行定位，控制在Overlay中的位置
          return AnimatedContainer(
            duration: Duration(milliseconds: 2000),
            child: topToastView(context),
            curve: Curves.linear,
          );
        },
        opaque: false,
      );
      //往Overlay中插入插入OverlayEntry
      Overlay.of(context).insert(overlayEntry);
      //两秒后，移除Toast
      new Future.delayed(Duration(seconds: 2)).then((value) {
        overlayEntry.remove();
      });
    }

    
}